gr::ieee802_15_4::dqcsk_demapper_cc_impl Class Reference

`#include <dqcsk_demapper_cc_impl.h>`

Inheritance diagram for gr::ieee802_15_4::dqcsk_demapper_cc_impl:
[legend]

## Public Member Functions

| dqcsk_demapper_cc_impl (std::vector< gr_complex > chirp_seq, std::vector< gr_complex > time_gap_1, std::vector< gr_complex > time_gap_2, int len_subchirp, int num_subchirps)
| ~dqcsk_demapper_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::dqcsk_demapper_cc
typedef boost::shared_ptr< dqcsk_demapper_cc > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::dqcsk_demapper_cc
static sptr | make (std::vector< gr_complex > chirp_seq, std::vector< gr_complex > time_gap_1, std::vector< gr_complex > time_gap_2, int len_subchirp, int num_subchirps)
| Return a shared_ptr to a new instance of ieee802_15_4::dqcsk_demapper_cc. More...

## Constructor & Destructor Documentation

## dqcsk_demapper_cc_impl()

gr::ieee802_15_4::dqcsk_demapper_cc_impl::dqcsk_demapper_cc_impl | ( | std::vector< gr_complex > | chirp_seq,
|  | std::vector< gr_complex > | time_gap_1,
|  | std::vector< gr_complex > | time_gap_2,
|  | int | len_subchirp,
|  | int | num_subchirps
| ) |  |

## ~dqcsk_demapper_cc_impl()

gr::ieee802_15_4::dqcsk_demapper_cc_impl::~dqcsk_demapper_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::ieee802_15_4::dqcsk_demapper_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::ieee802_15_4::dqcsk_demapper_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- dqcsk_demapper_cc_impl.h